Специалисты швейцарской фирмы High-Tech Bridge выявили несколько уязвимостей в широко распространенных веб-приложениях. Проблемы обнаружены в e-commerce-приложенииях osCmax и osCommerce Online Merchant, open source веб-интерфейсе для почты Roundcube, CSM для досок объявлений Osclass и CMS для социальных сетей SocialEngine.

Компания High-Tech Bridge опубликовала информацию о найденных уязвимостях 21 декабря 2015 года. Однако пока специалисты не раскрывают никаких технических подробностей о проблемах, давая производителям возможность устранить уязвимости. Глава High-Tech Bridge Илья Колоченко сообщает, что ни один из найденных багов не является простым в эксплуатации.

Приложение osCmax версии 2.5.4 и ниже, а также osCommerce Online Merchant 2.3.4 и ниже содержат уязвимости, которые могут быть использованы для удаленного исполнения произвольного кода (RCE) и баг, позволяющий осуществить подделку межсайтовых запросов (CSRF).

Roundcube версии 1.1.3 подвержен уязвимости обход каталога, что может быть использовано для повышения привилегий и удаленного исполнения кода. Сообщается, что более ранние версии приложения, предположительно, тоже могут быть подвержены данной проблеме.

В CMS Osclass версии 3.5.9 и ниже, а также в SocialEngine версии 489 и ниже возможно осуществить SQL-инъекции.

«Обе обнаруженные SQL-уязвимости и все RCE баги дадут атакующему полный доступ к базам данных уязвимых приложений, а значит, и к пользовательским данным. RCE-уязвимости представляют большую опасность, так как с их помощью атакующий может делать в системе все что угодно. К примеру, может удалить все файлы», — рассказал Колоченко изданию SecurityWeek.

Фото: Sutterstock



Оставить мнение